Get external transaction reference.
curl --request GET \
--url https://api.pgw-sandbox.finventi.com/v1/external-transaction-referenceimport requests
url = "https://api.pgw-sandbox.finventi.com/v1/external-transaction-reference"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.pgw-sandbox.finventi.com/v1/external-transaction-reference', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": 123,
"currencyCode": "<string>",
"endToEndId": "<string>",
"orgnlMsgId": "<string>",
"settlementDate": "2023-12-25",
"creditorBic": "<string>",
"creditorIban": "<string>",
"creditorName": "<string>",
"debtorBic": "<string>",
"debtorIban": "<string>",
"debtorName": "<string>",
"method": "<string>",
"purposeCode": "<string>",
"remittanceInfo": "<string>",
"ultimateCreditorName": "<string>",
"ultimateDebtorName": "<string>"
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}Payment Information
Get external transaction reference
Retrieve details of an external transaction reference by its ID.
GET
/
v1
/
external-transaction-reference
Get external transaction reference.
External transaction references contain original transaction data from inbound SEPA messages (such as camt.056 cancellation requests or camt.027 claim non-receipt inquiries) for which the impacted transaction could not be found in the system.
Query Parameters
External transaction reference ID
Response
Original transaction data from inbound SEPA messages for which the impacted transaction could not be found in the system
Payment amount
Payment currency code
End to end identification of the original transaction
Original SEPA message identification
Settlement date of the original transaction
Creditor (Recipient) BIC
Creditor (Recipient) IBAN
Creditor (Recipient) name
Debtor (Sender) BIC
Debtor (Sender) IBAN
Debtor (Sender) name
Transaction method
Category purpose code
Unstructured remittance information
Ultimate Creditor name
Ultimate Debtor name
Last modified on April 3, 2026